/*------------------------------------------------------------------------------
--  This file is a part of the libuc, microcontroler library
--  Copyright (C) 2011, Alexis Jeandet
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
-------------------------------------------------------------------------------
--                 Author : Alexis Jeandet
--                   Mail : alexis.jeandet@member.fsf.org
-------------------------------------------------------------------------------*/
#ifndef BSP_H
#define BSP_H
#include <stm32f4xx.h>
#include <stm32f4xx_gpio.h>
#include <stm32f4xx_rcc.h>
#include <gpio.h>
#include <spi.h>
#include <ili9328.h>
#include <genericLCD_Controler.h>
#include <sdcard-spi.h>
#include <sdcard.h>
#include <mbr.h>
#include <VS10XX.h>
#include <fat32.h>
#include <ADS7843.h>

#define __MAX_OPENED_FILES__ 4
#define __FS_ROOT_SIZE__ 4


#define LED1 PC13
#define LED2 PC13

#define BP1   PA0


extern float VREF0;

extern uint32_t currentCpuFreq;


extern sdcardDev sdcard2;
extern blkdevice sdcard2blkdev;
extern dikpartition sdcard2Part1;
extern FAT32fs sdcard2FAT32part1;
extern dikpartition sdcard2Part2;
extern FAT32fs sdcard2FAT32part2;
extern dikpartition sdcard2Part3;
extern FAT32fs sdcard2FAT32part3;
extern dikpartition sdcard2Part4;
extern FAT32fs sdcard2FAT32part4;

extern int bsp_init();

extern void bsp_GPIO_init();
extern void bsp_uart_init();
extern void bsp_iic_init();
extern void bsp_spi_init();
extern void bsp_SD_init();

/*   SD CARD */
void bsppowersdcard(char onoff);
char bspsdcardpresent();
void bspsdcardselect(char YESNO);
char bspsdcardwriteprotected();


#endif



















